//
//  ViewController.m
//  OffcnLiveSDK
//
//  Created by vockey on 2018/7/25.
//  Copyright © 2018年 中公教育. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()<UITextFieldDelegate>

@property (weak, nonatomic) IBOutlet UITextField *nameTextField;
@property (weak, nonatomic) IBOutlet UITextField *uuidTextField;

@property (weak, nonatomic) IBOutlet UITextField *koulingTextField;
@property (weak, nonatomic) IBOutlet UIButton *enterRoomBtn;
@property (weak, nonatomic) IBOutlet UIButton *playBackBtn;
@property (weak, nonatomic) IBOutlet UIButton *downLoadBtn;

@property (weak, nonatomic) IBOutlet UILabel *versionLab;

@property (weak, nonatomic) IBOutlet UITextField *koulingTextField2;
@property (weak, nonatomic) IBOutlet UIButton *enterRoomBtn2;
@property (weak, nonatomic) IBOutlet UIButton *playBackBtn2;
@property (weak, nonatomic) IBOutlet UIButton *downLoadBtn2;


@property (weak, nonatomic) IBOutlet UITextField *koulingTextField3;
@property (weak, nonatomic) IBOutlet UIButton *enterRoomBtn3;
@property (weak, nonatomic) IBOutlet UIButton *playBackBtn3;
@property (weak, nonatomic) IBOutlet UIButton *downLoadBtn3;

@property (weak, nonatomic) IBOutlet UIButton *changeEnvironmentBtn;

@end

@implementation ViewController

#pragma mark - 测试专用:本地文件内容查看插件
- (IBAction)logBtnAction:(UIButton *)sender {
//    [[FLEXManager sharedManager] showExplorer];
}
#pragma mark - 切换环境
- (IBAction)clickChangeEnvironmentBtnAction:(UIButton *)sender {
    sender.selected = !sender.isSelected;
    //中公直播使用测试环境设置为YES，正式环境设置为NO或者去掉这个配置
//    [OffcnLiveSDK defaultService].isTest = sender.isSelected;
//
//    [[NSUserDefaults standardUserDefaults] setValue:[NSNumber numberWithBool:[OffcnLiveSDK defaultService].isTest] forKey:kOffcnLiveSDK_changeEnvironment];
//    [[NSUserDefaults standardUserDefaults] synchronize];
}

#pragma mark - 点我退出键盘
- (IBAction)clickExitKeyboardAction:(UIButton *)sender {
    [self.view endEditing:YES];
}

#pragma mark - 直播事件
- (IBAction)enterRoomAction:(UIButton *)sender {
    
    [self enterSmallClassWithNickname:self.nameTextField.text password:self.koulingTextField.text uuid:self.uuidTextField.text];
}
-(void)enterSmallClassWithNickname:(NSString *)nickname password:(NSString *)password uuid:(NSString *)uuid{
    [self.view endEditing:YES];
    
}

- (IBAction)enterRoomAction2:(UIButton *)sender {
    
    [self enterRoomPublicMethodWithNickname:self.nameTextField.text password:self.koulingTextField2.text uuid:self.uuidTextField.text];
}
- (IBAction)enterRoomAction3:(UIButton *)sender {
    
    [self enterRoomPublicMethodWithNickname:self.nameTextField.text password:self.koulingTextField3.text uuid:self.uuidTextField.text];
}
-(void)enterRoomPublicMethodWithNickname:(NSString *)nickname password:(NSString *)password uuid:(NSString *)uuid{
    
    [self.view endEditing:YES];
}
#pragma mark - 回放视频事件
- (IBAction)playBackAction:(UIButton *)sender {
   
}
- (IBAction)playBackAction2:(UIButton *)sender {
    [self playBackPublicMethodWithNickname:self.nameTextField.text password:self.koulingTextField2.text uuid:self.uuidTextField.text];
}
- (IBAction)playBackAction3:(UIButton *)sender {
    [self playBackPublicMethodWithNickname:self.nameTextField.text password:self.koulingTextField3.text uuid:self.uuidTextField.text];
}
-(void)playBackPublicMethodWithNickname:(NSString *)nickname password:(NSString *)password uuid:(NSString *)uuid{
    [self.view endEditing:YES];
}
#pragma mark - 下载视频事件
- (IBAction)downloadAction:(UIButton *)sender {
    [self downloadPublicMethod];
}
- (IBAction)downloadAction2:(UIButton *)sender {
    [self downloadPublicMethod];
}
- (IBAction)downloadAction3:(UIButton *)sender {
    [self downloadPublicMethod];
}
-(void)downloadPublicMethod{
}

//测试环境小班课录制z84pkgl743il-大班课录制11pvxwnxp3ce//疫情开会z4mndpdmuq-ev0gm7xqsq
- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.title = @"demo";
    
//    self.changeEnvironmentBtn.selected = [OffcnLiveSDK defaultService].isTest;
    
    NSString *dateStr = [self getAllCurrentTimes];
    self.versionLab.text = [NSString stringWithFormat:@"版本号-打包日期:\n%@(%@)",[[NSBundle mainBundle] objectForInfoDictionaryKey:@"CFBundleShortVersionString"],dateStr];
    
    self.nameTextField.text = @"张";
//    self.uuidTextField.text = @"12310";
    self.uuidTextField.text = [NSString stringWithFormat:@"%d",arc4random_uniform(1000000)];
    self.koulingTextField.text = @"";
    self.koulingTextField2.text = @"";
    self.koulingTextField3.text = @"";
    
    self.nameTextField.delegate = self;
    self.uuidTextField.delegate = self;
    [self.nameTextField addTarget:self action:@selector(textFieldDidChange:) forControlEvents:UIControlEventEditingChanged];
    [self.uuidTextField addTarget:self action:@selector(textFieldDidChange:) forControlEvents:UIControlEventEditingChanged];
    
    self.koulingTextField.delegate = self;
    [self.koulingTextField addTarget:self action:@selector(textFieldDidChange:) forControlEvents:UIControlEventEditingChanged];
    
    self.koulingTextField2.delegate = self;
    [self.koulingTextField2 addTarget:self action:@selector(textFieldDidChange:) forControlEvents:UIControlEventEditingChanged];
    
    self.koulingTextField3.delegate = self;
    [self.koulingTextField3 addTarget:self action:@selector(textFieldDidChange:) forControlEvents:UIControlEventEditingChanged];
    
    
    if (self.nameTextField.text.length && self.koulingTextField.text.length && self.uuidTextField.text.length) {
        
        self.enterRoomBtn.enabled = YES;
        self.playBackBtn.enabled = YES;
        self.downLoadBtn.enabled = YES;
    }else{
        self.enterRoomBtn.enabled = NO;
        self.playBackBtn.enabled = NO;
        self.downLoadBtn.enabled = NO;
    }
    
    if (self.nameTextField.text.length && self.koulingTextField2.text.length && self.uuidTextField.text.length) {
        
        self.enterRoomBtn2.enabled = YES;
        self.playBackBtn2.enabled = YES;
        self.downLoadBtn2.enabled = YES;
    }else{
        self.enterRoomBtn2.enabled = NO;
        self.playBackBtn2.enabled = NO;
        self.downLoadBtn2.enabled = NO;
    }
    
    if (self.nameTextField.text.length && self.koulingTextField3.text.length && self.uuidTextField.text.length) {
        
        self.enterRoomBtn3.enabled = YES;
        self.playBackBtn3.enabled = YES;
        self.downLoadBtn3.enabled = YES;
    }else{
        self.enterRoomBtn3.enabled = NO;
        self.playBackBtn3.enabled = NO;
        self.downLoadBtn3.enabled = NO;
    }
}
-(NSString*)getAllCurrentTimes{
    NSDateFormatter *formatter = [[NSDateFormatter alloc] init];
    [formatter setDateFormat:@"yyyy-MM-dd HH:mm:ss"];
    
    NSDate *datenow = [NSDate date];
    NSString *currentTimeString = [formatter stringFromDate:datenow];
    return currentTimeString;
}
#pragma mark - UITextField代理
-(void)textFieldDidChange:(UITextField *)textField{
    if (self.nameTextField.text.length && self.koulingTextField.text.length && self.uuidTextField.text.length) {
        
        self.enterRoomBtn.enabled = YES;
        self.playBackBtn.enabled = YES;
        self.downLoadBtn.enabled = YES;
    }else{
        self.enterRoomBtn.enabled = NO;
        self.playBackBtn.enabled = NO;
        self.downLoadBtn.enabled = NO;
    }
    
    if (self.nameTextField.text.length && self.koulingTextField2.text.length && self.uuidTextField.text.length) {
        
        self.enterRoomBtn2.enabled = YES;
        self.playBackBtn2.enabled = YES;
        self.downLoadBtn2.enabled = YES;
    }else{
        self.enterRoomBtn2.enabled = NO;
        self.playBackBtn2.enabled = NO;
        self.downLoadBtn2.enabled = NO;
    }
    
    if (self.nameTextField.text.length && self.koulingTextField3.text.length && self.uuidTextField.text.length) {
        
        self.enterRoomBtn3.enabled = YES;
        self.playBackBtn3.enabled = YES;
        self.downLoadBtn3.enabled = YES;
    }else{
        self.enterRoomBtn3.enabled = NO;
        self.playBackBtn3.enabled = NO;
        self.downLoadBtn3.enabled = NO;
    }
}

- (BOOL)textFieldShouldClear:(UITextField *)textField{
    if (textField == self.koulingTextField) {
        self.enterRoomBtn.enabled = NO;
        self.playBackBtn.enabled = NO;
        self.downLoadBtn.enabled = NO;
    }else if (textField == self.koulingTextField2){
        self.enterRoomBtn2.enabled = NO;
        self.playBackBtn2.enabled = NO;
        self.downLoadBtn2.enabled = NO;
    }else if (textField == self.koulingTextField3){
        self.enterRoomBtn3.enabled = NO;
        self.playBackBtn3.enabled = NO;
        self.downLoadBtn3.enabled = NO;
    }else{
        self.enterRoomBtn.enabled = NO;
        self.playBackBtn.enabled = NO;
        self.downLoadBtn.enabled = NO;
        self.enterRoomBtn2.enabled = NO;
        self.playBackBtn2.enabled = NO;
        self.downLoadBtn2.enabled = NO;
        self.enterRoomBtn3.enabled = NO;
        self.playBackBtn3.enabled = NO;
        self.downLoadBtn3.enabled = NO;
    }
    
    return YES;
}
- (NSString *)documentPath{
    NSString *docDir = [NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES) firstObject];
    docDir = [docDir stringByAppendingPathComponent:@"test"];
    return docDir;
}
//可旋转屏幕
- (BOOL)shouldAutorotate {
    return NO;
}
/** 返回直接支持的方向 */
- (UIInterfaceOrientationMask)supportedInterfaceOrientations {
    return UIInterfaceOrientationMaskPortrait;
}

-(void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event{
    [self.view endEditing:YES];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
@end
